LXRAD 0.7

Public Member Functions | Data Fields
CApplication Class Reference

Application class. More...

`#include <capplication.h>`

Inheritance diagram for CApplication:

## Public Member Functions
virtual bool | OnInit ()
virtual int | OnExit ()
void | Start (void)
void | ACreateWindow (CWindow *AWindow, CWindow *window=NULL)
bool | ADestroyWindow (int w)
bool | ADestroyWindow (wxCloseEvent *event)
int | Load (void)
void | ProcessEvents (wxWindow *window=NULL)
int | GetAWindowCount (void)
CWindow * | GetAWindow (uint window)
void | SetTag (int x)
int | GetTag (void)
int | GetRun (void)
void | SetTitle (lxString title)
lxString | GetTitle ()
void | SetTips (CControl *control)

## Data Fields
int | Aargc
char ** | Aargv

## Detailed Description

Application class.

Application class

Definition at line 48 of file capplication.h.

## Field Documentation

## ◆ Aargc

int CApplication::Aargc

Definition at line 60 of file capplication.h.

## ◆ Aargv

char** CApplication::Aargv

Definition at line 61 of file capplication.h.

The documentation for this class was generated from the following file:

- include/capplication.h